## generatorrunner 0.6.1-1maemo1

=== debian/changelog ===
generatorrunner (0.6.1-1maemo1) unstable; urgency=low

  * New upstream release.

 -- Willer Moreira <willer.moreira@openbossa.org>  Mon, 13 Sep 2010 13:04:08 -0400
