## generatorrunner 0.6.2

=== debian/changelog ===
generatorrunner (0.6.2-2) unstable; urgency=low

  * Update symbols for all arches and GCC4.5.

 -- Didier Raboud <didier@raboud.com>  Tue, 16 Nov 2010 17:54:55 +0100

generatorrunner (0.6.2-1) unstable; urgency=low

  * New 0.6.2 upstream release
    - Apply manpages location changes.
    - Apply documentation build changes
    - Bump libapiextractor B-D to 0.8.1

 -- Didier Raboud <didier@raboud.com>  Fri, 15 Oct 2010 09:56:28 +0200
