=== debian/changelog ===
generatorrunner (0.6.2-1maemo3) unstable; urgency=low

  * Bump version.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 15:27:22 -0300

generatorrunner (0.6.2-1maemo2) unstable; urgency=low

  * New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 14:27:43 -0300
