=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.8.1), libqt4-dev (>= 4.5),
-               cmake (>= 2.6.0), libxslt-dev
-Build-Depends-Indep: python-sphinx
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
+               libapiextractor-dev (>= 0.8.1-1maemo3), libqt4-dev (>= 4.5),
+               cmake (>= 2.6.0), libxslt1-dev, quilt
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
@@ -15,6 +15,8 @@
 Package: libgenrunner0.6
 Architecture: any
 Section: libs
+Conflicts: libgenrunner0 (<< 0.6.2), libgenrunner0.5
+Replaces: libgenrunner0 (<< 0.6.2), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -26,7 +28,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.8.1-1maemo3), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
